package com.bonus.canteen.core.report.statistics.order.summary.param;

import java.time.LocalDate;

public class ReportMealtimeTypeCustNumDTO {
   private LocalDate statisticDate;
   private Long canteenStallId;
   private String machineSn;
   private Long orgId;
   private Integer psnType;
   private Long custId;
   private String orgFullName;
   private Integer mealtimeType;
   private Integer custNum;

   public LocalDate getStatisticDate() {
      return this.statisticDate;
   }

   public Long getCanteenStallId() {
      return this.canteenStallId;
   }

   public String getMachineSn() {
      return this.machineSn;
   }

   public Long getOrgId() {
      return this.orgId;
   }

   public Integer getPsnType() {
      return this.psnType;
   }

   public Long getCustId() {
      return this.custId;
   }

   public String getOrgFullName() {
      return this.orgFullName;
   }

   public Integer getMealtimeType() {
      return this.mealtimeType;
   }

   public Integer getCustNum() {
      return this.custNum;
   }

   public void setStatisticDate(final LocalDate statisticDate) {
      this.statisticDate = statisticDate;
   }

   public void setCanteenStallId(final Long canteenStallId) {
      this.canteenStallId = canteenStallId;
   }

   public void setMachineSn(final String machineSn) {
      this.machineSn = machineSn;
   }

   public void setOrgId(final Long orgId) {
      this.orgId = orgId;
   }

   public void setPsnType(final Integer psnType) {
      this.psnType = psnType;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setOrgFullName(final String orgFullName) {
      this.orgFullName = orgFullName;
   }

   public void setMealtimeType(final Integer mealtimeType) {
      this.mealtimeType = mealtimeType;
   }

   public void setCustNum(final Integer custNum) {
      this.custNum = custNum;
   }

}
